Subscribe to an addon Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/subscribe
application/json

Body

  • addon_id string Required

    Unique identifier of the addon to subscribe to

  • config object

    Configuration parameters dependant on type of addon

    Additional properties are allowed.

  • enabled boolean Required

    If the addon should start enabled

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • enabled string

      Determines if the addon is enabled

    • addon object

      Details about the addon subscribed to

      Hide addon attributes Show addon attributes object
      • id string
      • name string
      • description string
      • setup_instructions string
      • category string
      • params object
        Hide params attributes Show params attributes object
        • access_code object
          Hide access_code attributes Show access_code attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • pin object
          Hide pin attributes Show pin attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • second_access_code object
          Hide second_access_code attributes Show second_access_code attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • second_pin object
          Hide second_pin attributes Show second_pin attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • third_access_code object
          Hide third_access_code attributes Show third_access_code attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • third_pin object
          Hide third_pin attributes Show third_pin attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
      • banner_url string
      • icon_url string
      • price object
        Hide price attributes Show price attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • can_be_subscribed_to boolean
      • is_visible boolean
      • free_trial_days integer
      • should_poll_for_subscription_changes boolean
    • trial_ends_at string

      If the addon is a paid addon, this is the date the free trial will end for the addon subscription.

    • trial_ends_in_days integer

      If the addon is a paid addon, this is the number of days left in the free trial for the addon subscription.

    • payment_confirmed_at string

      If the addon is a paid addon, this is the date the payment was confirmed for the addon subscription.

POST /api/v1/subscribe
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/subscribe' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"addon_id":"transact_valuation_feed","config":{"api_key":"apikey123"},"enabled":true}'
Request examples
{
  "addon_id": "transact_valuation_feed",
  "config": {
    "api_key": "apikey123"
  },
  "enabled": true
}
Response examples (200)
{
  "uuid": "6aecd925-8e6b-43d2-b92d-59caa3240afd",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "enabled": "true",
  "addon": {
    "id": "transact_valuation_feed",
    "name": "Transact Valuation Feed",
    "description": "Provides an automatic holding and valuation feed via a transact integration",
    "setup_instructions": "Retrieve your transact api key from https://www.transact-online.co.uk/contact-us/",
    "category": "valuation_feed_integration",
    "params": {
      "access_code": {
        "type": "text",
        "description": "Transact Number",
        "example": "555-123-456",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      },
      "pin": {
        "type": "text",
        "description": "TRDS Password (Not Your Transact Password)",
        "example": "secret-password-123",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      },
      "second_access_code": {
        "type": "text",
        "description": "Second Transact Number",
        "example": "555-123-456",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      },
      "second_pin": {
        "type": "text",
        "description": "Second TRDS Password (Not Your Transact Password)",
        "example": "secret-password-123",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      },
      "third_access_code": {
        "type": "text",
        "description": "Third Transact Number",
        "example": "555-123-456",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      },
      "third_pin": {
        "type": "text",
        "description": "Third TRDS Password (Not Your Transact Password)",
        "example": "secret-password-123",
        "options": [],
        "required": false,
        "inputs": [],
        "list_type": null,
        "attributes": []
      }
    },
    "banner_url": "https://plannrcrm.com/banner.png",
    "icon_url": "https://plannrcrm.com/icon.png",
    "price": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "can_be_subscribed_to": true,
    "is_visible": true,
    "free_trial_days": 30,
    "should_poll_for_subscription_changes": true
  },
  "trial_ends_at": "2026-06-22",
  "trial_ends_in_days": 14,
  "payment_confirmed_at": "2026-06-26"
}